.386p
.MODEL FLAT

	INCLUDE "../hardware/avideo.i"

TRACKERGFX_W	EQU 320
TRACKERGFX_H	EQU 239
SCOPES_X	EQU 120
SCOPES_Y	EQU 44
SCOPESGFX_W	EQU 200
SCOPESGFX_H	EQU 55
DISKOPGFX_W	EQU 320
DISKOPGFX_H	EQU 99
TOPSCREEN_H	EQU 99
MIDDLESCREEN_H	EQU 22
MIDDLESCREEN_Y	EQU 99
BOTTOMSCREEN_H	EQU 118
BOTTOMSCREEN_Y	EQU 121
ASK_W		EQU 104
ASK_H		EQU 39
ASK_X		EQU 160
ASK_Y		EQU 51

.CODE

	PUBLIC _GFX_InvertSamplerLine
	PUBLIC _GFX_InvertRect
	PUBLIC _GFX_FillRect
	PUBLIC _GFX_DrawLine
	PUBLIC _GFX_ClearDiskOpFileList
	PUBLIC _GFX_EraseAskBitmap
	PUBLIC _GFX_DrawAskBitmap
	PUBLIC _GFX_DrawScopesBitmap
	PUBLIC _GFX_DrawDiskOpBitmap
	PUBLIC _GFX_DrawTopMainScreenBitmap
	PUBLIC _GFX_DrawMiddleMainScreenBitmap
	PUBLIC _GFX_DrawPatternEditorBitmap
	PUBLIC _GFX_DrawSamplerScreenBitmap
	PUBLIC _GFX_DrawMainScreenBitmap

Bmask:	db 128,64,32,16,8,4,2,1
Lmask:	db 255,127,63,31,15,7,3,1
Rmask:	db 128,192,224,240,248,252,254,255

	ALIGN 4
_GFX_InvertSamplerLine PROC NEAR
	push eax
	push ebx
	push edx
	push edi
	; ----------------------
	mov eax,ebx
	shr ebx,3
	lea edi,[VGA_FRAMEBUFFER+(138*40)+ebx]
	and eax,7
	mov bl,[Bmask+eax]
	; ----------------------
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	add dx,10
	mov ax,0204h
	out dx,ax
	; ----------------------
	mov eax,48/6
	mov edx,(SCREEN_W/8)*3
IW0:	xor [edi+((SCREEN_W/8)*0)],bl
	xor [edi+((SCREEN_W/8)*1)],bl
	xor [edi+((SCREEN_W/8)*2)],bl
	add edi,edx
	xor [edi+((SCREEN_W/8)*0)],bl
	xor [edi+((SCREEN_W/8)*1)],bl
	xor [edi+((SCREEN_W/8)*2)],bl
	add edi,edx
	dec eax
	jnz IW0
	pop edi
	pop edx
	pop ebx
	pop eax
	retn
_GFX_InvertSamplerLine ENDP
	
	; Based on GFX_FillRect().
	;
	; WARNING: Doesn't check boundaries!
	ALIGN 4
_GFX_InvertRect PROC NEAR
	pushad
	dec esi
	sub ecx,ebx
	shl ebx,3		; ebx *= 40 (SCREEN_W/8)
	lea ebx,[ebx+ebx*4]	; ---
	lea edi,[VGA_FRAMEBUFFER+ebx]
	mov ebx,eax
	and ebx,7
	mov dl,[Lmask+ebx]
	mov ebx,esi
	and ebx,7
	mov dh,[Rmask+ebx]
	shr eax,3
	shr esi,3
	mov ebx,ecx
	add edi,eax
	sub esi,eax
	mov ax,0FFFFh
	jz IOneByteColumn
	mov ebp,edi
IR0:	mov edi,ebp
	xor [edi],dl
	inc edi
	mov ecx,esi
	dec ecx
	test edi,1
	jz IR1
	xor [edi],al
	inc edi
	dec ecx
	jz IR3
IR1:	shr ecx,1
	pushf
	jz IR2
IRX:	xor [edi],ax
	add edi,2
	dec ecx
	jnz IRX
IR2:	popf
	jnc IR3
	xor [edi],al
	inc edi
IR3:	xor [edi],dh
	add ebp,SCREEN_W/8
	dec ebx
	jnz IR0
	popad
	retn
IOneByteColumn:
	and dl,dh
IR4:	xor [edi],dl
	add edi,SCREEN_W/8
	dec ebx
	jnz IR4
	popad
	retn
_GFX_InvertRect ENDP

	; Fast fill routine ported from Fasttracker II source code,
	; and modified from 16-bit to 32-bit asm w/ edits by 8bb.
	;
	; WARNING: Doesn't check boundaries!
	ALIGN 4
_GFX_FillRect PROC NEAR
	pushad
	dec esi
	sub ecx,ebx
	shl ebx,3		; ebx *= 40 (SCREEN_W/8)
	lea ebx,[ebx+ebx*4]	; ---
	lea edi,[VGA_FRAMEBUFFER+ebx]
	mov ebx,eax
	and ebx,7
	mov dl,[Lmask+ebx]
	mov ebx,esi
	and ebx,7
	mov dh,[Rmask+ebx]
	shr eax,3
	shr esi,3	
	mov ebx,ecx
	add edi,eax
	sub esi,eax
	mov ax,0FFFFh
	jz OneByteColumn
	mov ebp,edi
FR0:	mov edi,ebp
	or [edi],dl
	inc edi
	mov ecx,esi
	dec ecx
	test edi,1
	jz FR1
	stosb
	dec ecx
	jz FR3
FR1:	shr ecx,1
	jz FR2
	rep stosw
FR2:	jnc FR3
	stosb
FR3:	or [edi],dh
	add ebp,SCREEN_W/8
	dec ebx
	jnz FR0
	popad
	retn

OneByteColumn:
	and dl,dh
FR4:	or [edi],dl
	add edi,SCREEN_W/8
	dec ebx
	jnz FR4
	popad
	retn
_GFX_FillRect ENDP

	; Fast line routine ported from Fasttracker II source code,
	; and modified from 16-bit to 32-bit asm w/ edits by 8bb.
	;
	; WARNING: Doesn't check boundaries!
	ALIGN 4
_GFX_DrawLine PROC NEAR
	pushad
	mov dlplaneaddr,edi
	mov dlx1,eax
	mov dly1,ebx
	mov dlx2,ecx
	mov dly2,edx
	mov esi,SCREEN_W/8
	mov ecx,dlx2
	sub ecx,dlx1
	jz DLVertLine
	mov ebx,dly2
	sub ebx,dly1
	jz DLHorizLine
	jns DL03
	neg ebx
	neg esi
DL03:	mov dlvertincr,esi
	mov dllineroutine,offset DLLoSlopeLine
	cmp ebx,ecx
	jle DL04
	mov dllineroutine,offset DLHiSlopeLine
	xchg ebx,ecx
DL04:	add ebx,ebx
	mov dlincr1,ebx
	sub ebx,ecx
	mov esi,ebx
	sub ebx,ecx
	mov dlincr2,ebx
	mov ebp,ecx	; backup of ecx
	mov eax,dly1
	mov ebx,dlx1
	mov cl,bl
	shl eax,3		; eax *= 40 (SCREEN_W/8)
	lea eax,[eax+eax*4]	; ---
	shr ebx,3
	add ebx,eax
	and cl,7
	xor cl,7
	mov ah,1
	mov edi,ebx
	add edi,dlplaneaddr
	shl ah,cl
	mov bl,ah
	mov al,8
	mov ecx,ebp	; restore ecx
	inc ecx
	jmp dllineroutine

DLVertLine:
	mov eax,dly1
	mov ebx,dly2
	mov ecx,ebx
	sub ecx,eax
	jge DL31
	neg ecx
	mov eax,ebx
DL31:	inc ecx
	mov ebx,dlx1
	mov ebp,ecx
	mov cl,bl
	shl eax,3		; eax *= 40 (SCREEN_W/8)
	lea eax,[eax+eax*4]	; ---
	shr ebx,3
	add ebx,eax
	and cl,7
	xor cl,7
	mov al,1
	shl al,cl
	mov ecx,ebp
	add ebx,dlplaneaddr
DL32:	or [ebx],al
	add ebx,esi
	dec ecx
	jnz DL32
	jmp DLexit

DLHorizLine:
	mov eax,dly1
	mov ebx,dlx1
	mov cl,bl
	shl eax,3		; eax *= 40 (SCREEN_W/8)
	lea eax,[eax+eax*4]	; ---
	shr ebx,3
	add ebx,eax
	and cl,7
	xor cl,7
	mov ah,1
	mov edi,ebx
	mov dh,ah
	not dh
	shl dh,cl
	not dh
	mov ecx,dlx2
	and cl,7
	xor cl,7
	mov dl,255
	shl dl,cl
	mov eax,dlx2
	mov ebx,dlx1
	shr eax,3
	shr ebx,3
	mov ecx,eax
	sub ecx,ebx
	mov ebx,edx
	add edi,dlplaneaddr
	cld
	test bh,bh
	js DL43
	test ecx,ecx
	jnz DL42
	and bl,bh
	jmp DL44
DL42:	or [edi],bh
	inc edi
	dec ecx
DL43:	mov al,255
	rep stosb
DL44:	or [edi],bl
	jmp DLexit

DLLoSlopeLine:
	mov eax,dlvertincr
	mov ebp,dlincr1
	mov edx,dlincr2
DL10:	mov bh,bl
DL11:	or bh,bl
	ror bl,1
	jc DL14
	test esi,esi
	jns DL12
	add esi,ebp
	dec ecx
	jnz DL11
	or [edi],bh
	jmp DLexit
DL12:	add esi,edx
	or [edi],bh
	add edi,eax
	dec ecx
	jnz DL10
	jmp DLexit
DL14:	or [edi],bh
	inc edi
	test esi,esi
	jns DL15
	add esi,ebp
	dec ecx
	jnz DL10
	jmp DLexit
DL15:	add esi,edx
	add edi,eax
	dec ecx
	jnz DL10
	jmp DLexit

DLHiSlopeLine:
	mov ebx,dlvertincr
	mov ebp,dlincr1
	mov edx,dlincr2
DL21:	or [edi],ah
	add edi,ebx
DL22:	test esi,esi
	jns DL23
	add esi,ebp
	dec ecx
	jnz DL21
	jmp DLexit
DL23:	add esi,edx
	ror ah,1
	adc edi,0
	dec ecx
	jnz DL21

DLexit:	popad
	retn

	ALIGN 4
dlvertincr	dd 0
dlincr1		dd 0
dlincr2		dd 0
dllineroutine	dd 0
dlx1		dd 0
dlx2		dd 0
dly1		dd 0
dly2		dd 0
dlplaneaddr	dd 0
_GFX_DrawLine ENDP

	; Input:
	;  EAX = Y position
	;  EBX = Rows to clear
	ALIGN 4
_GFX_ClearDiskOpFileList PROC NEAR
	pushad
	; --------------------------
	; eax *= 40 (SCREEN_W/8)
	shl eax,3
	lea eax,[eax+eax*4]
	lea edi,[VGA_FRAMEBUFFER+(8/8)+eax]
	; --------------------------
	mov ebp,(SCREEN_W/8)-(300/8)
	mov esi,7
	xor eax,eax
	cld
	; --------------------------
CDLoop1:
	mov edx,5
CDLoop2:
	stosb		; unaligned, align
	stosw
	stosd
	stosw
	stosb
	inc edi
	stosd
	stosd
	stosd
	add edi,esi
	stosb		; unaligned, align
	stosd
	stosw
	add edi,ebp
	dec edx
	jnz CDLoop2
	add edi,SCREEN_W/8
	dec ebx
	jnz CDLoop1
	; --------------------------
	popad
	retn
_GFX_ClearDiskOpFileList ENDP

	ALIGN 4
_GFX_EraseAskBitmap PROC NEAR
	pushad

	; select 1st & 2nd plane
	mov dx,3C4h
	mov ax,0302h
	out dx,ax

	; clear pixels
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*ASK_Y)+(ASK_X/8)
	xor eax,eax
	mov ebp,(ASK_W/8)/4
	mov edx,(SCREEN_W/8)-(ASK_W/8)
	mov ebx,ASK_H/3
	cld
DALoopX:
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	dec ebx
	jnz DALoopX

	popad
	retn
_GFX_EraseAskBitmap ENDP

	ALIGN 4
_GFX_DrawAskBitmap PROC NEAR
	pushad

	; select third plane
	mov dx,3C4h
	mov ax,0402h
	out dx,ax

	; clear pixels
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*ASK_Y)+(ASK_X/8)
	xor eax,eax
	mov ebp,(ASK_W/8)/4
	mov edx,(SCREEN_W/8)-(ASK_W/8)
	mov ebx,ASK_H/3
	cld
DALoop0:
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	mov ecx,ebp
	rep stosd
	stosb
	add edi,edx
	dec ebx
	jnz DALoop0

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,AskBitmap
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*ASK_Y)+(ASK_X/8)
	mov ebp,(ASK_W/8)/4
	mov eax,(SCREEN_W/8)-(ASK_W/8)
	mov ebx,ASK_H/3
DALoop1:
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	dec ebx
	jnz DALoop1

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,AskBitmap+((ASK_W/8)*ASK_H)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*ASK_Y)+(ASK_X/8)
	mov ebp,(ASK_W/8)/4
	mov eax,(SCREEN_W/8)-(ASK_W/8)
	mov ebx,ASK_H/3
DALoop2:
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	mov ecx,ebp
	rep movsd
	movsb
	add edi,eax
	dec ebx
	jnz DALoop2

	popad
	retn
_GFX_DrawAskBitmap ENDP

	ALIGN 4
_GFX_DrawScopesBitmap PROC NEAR
	pushad

	; select third plane
	mov dx,3C4h
	mov ax,0402h
	out dx,ax

	; clear pixels
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*SCOPES_Y)+(SCOPES_X/8)
	xor eax,eax
	mov ebp,(SCOPESGFX_W/8)/2
	mov edx,(SCREEN_W/8)-(SCOPESGFX_W/8)
	mov ebx,SCOPESGFX_H/5
	cld
DSBLoop0:
	stosb
	mov ecx,ebp
	rep stosw
	add edi,edx
	stosb
	mov ecx,ebp
	rep stosw
	add edi,edx
	stosb
	mov ecx,ebp
	rep stosw
	add edi,edx
	stosb
	mov ecx,ebp
	rep stosw
	add edi,edx
	stosb
	mov ecx,ebp
	rep stosw
	add edi,edx
	dec ebx
	jnz DSBLoop0

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*SCOPES_Y)+(SCOPES_X/8)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*SCOPES_Y)+(SCOPES_X/8)
	mov ebp,(SCOPESGFX_W/8)/2
	mov eax,(SCREEN_W/8)-(SCOPESGFX_W/8)
	mov ebx,SCOPESGFX_H/5
DSBLoop1:
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	dec ebx
	jnz DSBLoop1

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*TRACKERGFX_H)+((TRACKERGFX_W/8)*SCOPES_Y)+(SCOPES_X/8)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*SCOPES_Y)+(SCOPES_X/8)
	mov ebp,(SCOPESGFX_W/8)/2
	mov eax,(SCREEN_W/8)-(SCOPESGFX_W/8)
	mov ebx,SCOPESGFX_H/5
DSBLoop2:
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	movsb
	mov ecx,ebp
	rep movsw
	add esi,eax
	add edi,eax
	dec ebx
	jnz DSBLoop2

	popad
	retn
_GFX_DrawScopesBitmap ENDP

	ALIGN 4
_GFX_DrawDiskOpBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((DISKOPGFX_W/8)*DISKOPGFX_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,DiskOpBitmap
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((DISKOPGFX_W/8)*DISKOPGFX_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,DiskOpBitmap+((DISKOPGFX_W/8)*DISKOPGFX_H)
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((DISKOPGFX_W/8)*DISKOPGFX_H)/4
	rep movsd

	popad
	retn
_GFX_DrawDiskOpBitmap ENDP

	ALIGN 4
_GFX_DrawTopMainScreenBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TOPSCREEN_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,MainScreenBitmap
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TOPSCREEN_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*TRACKERGFX_H)
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TOPSCREEN_H)/4
	rep movsd

	popad
	retn
_GFX_DrawTopMainScreenBitmap ENDP

	ALIGN 4
_GFX_DrawMiddleMainScreenBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*MIDDLESCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*MIDDLESCREEN_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*MIDDLESCREEN_Y)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*MIDDLESCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*MIDDLESCREEN_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*TRACKERGFX_H)+((TRACKERGFX_W/8)*MIDDLESCREEN_Y)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*MIDDLESCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*MIDDLESCREEN_H)/4
	rep movsd

	popad
	retn
_GFX_DrawMiddleMainScreenBitmap ENDP

_GFX_DrawSamplerScreenBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,SamplerBitmap
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,SamplerBitmap+((320/8)*118)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep movsd

	popad
	retn
_GFX_DrawSamplerScreenBitmap ENDP

	ALIGN 4
_GFX_DrawPatternEditorBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*BOTTOMSCREEN_Y)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*TRACKERGFX_H)+((TRACKERGFX_W/8)*BOTTOMSCREEN_Y)
	mov edi,VGA_FRAMEBUFFER+((SCREEN_W/8)*BOTTOMSCREEN_Y)
	mov ecx,((TRACKERGFX_W/8)*BOTTOMSCREEN_H)/4
	rep movsd

	popad
	retn
_GFX_DrawPatternEditorBitmap ENDP

	ALIGN 4
_GFX_DrawMainScreenBitmap PROC NEAR
	pushad
	cld

	; select third plane and clear pixels
	mov dx,3C4h
	mov ax,0402h
	out dx,ax
	xor eax,eax
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TRACKERGFX_H)/4
	rep stosd

	; select first plane
	mov dx,3C4h
	mov ax,0102h
	out dx,ax

	lea esi,MainScreenBitmap
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TRACKERGFX_H)/4
	rep movsd

	; select second plane
	mov dx,3C4h
	mov ax,0202h
	out dx,ax

	lea esi,MainScreenBitmap+((TRACKERGFX_W/8)*TRACKERGFX_H)
	mov edi,VGA_FRAMEBUFFER
	mov ecx,((TRACKERGFX_W/8)*TRACKERGFX_H)/4
	rep movsd

	popad
	retn
_GFX_DrawMainScreenBitmap ENDP

.DATA
	; 320x239 Main Screen planar bitmap (2 bitplanes)
	ALIGN 4
MainScreenBitmap:
	db 255,255,255,255,254,255,223,251,255,255,255,255,191,247,254,255,255
	db 255,255,255,255,255,251,255,255,255,255,255,255,255,239,255,255,255
	db 255,255,255,255,191,254,128,0,0,0,1,128,48,6,0,0,0,0,96,12,1,128
	db 0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,0,0,0,1,128
	db 48,6,0,0,0,0,97,12,113,128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0
	db 0,0,0,96,1,128,62,60,124,1,158,55,198,0,0,0,0,99,140,121,128,0,124
	db 192,243,48,0,6,0,0,251,243,207,128,0,24,0,7,204,15,191,0,0,96,193
	db 128,63,126,254,1,143,55,230,0,0,0,0,103,204,121,128,0,126,225,251
	db 184,0,6,0,1,253,255,239,192,0,24,0,7,238,31,223,128,0,97,225,128
	db 63,247,120,1,142,55,118,0,0,0,0,99,236,249,128,0,127,225,253,248
	db 0,6,0,0,240,231,127,224,0,24,0,7,254,15,14,0,0,96,225,128,63,119
	db 60,1,142,55,118,0,0,0,0,99,204,125,128,0,126,225,252,240,0,6,0,0
	db 120,231,127,192,0,24,0,7,238,7,142,0,0,96,225,128,56,63,254,1,158
	db 55,246,0,0,0,0,99,204,57,128,0,112,253,220,224,0,6,0,1,252,227,254
	db 0,0,24,0,7,15,223,206,0,0,97,225,128,24,30,124,1,143,51,230,0,0,0
	db 0,97,204,17,128,0,48,126,204,96,0,6,0,0,248,97,230,0,0,24,0,3,7,239
	db 134,0,0,96,241,128,0,0,0,1,128,48,6,0,0,0,0,96,12,1,128,0,0,0,0,0
	db 0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,127,255,255,255,255,127,239
	db 253,255,255,255,255,223,251,255,127,255,255,255,255,255,255,253,255
	db 255,255,255,255,255,255,247,255,255,255,255,255,255,255,223,255,255
	db 255,255,255,255,255,255,251,255,255,255,255,191,247,254,255,255,255
	db 255,255,255,255,251,255,255,255,255,255,255,255,239,255,255,255,255
	db 255,255,255,191,254,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0,0,0
	db 0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,0,0,0,0,0,0,6,0,0,0
	db 0,97,12,113,128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1
	db 129,241,231,239,223,190,102,6,0,0,0,0,99,140,121,129,241,231,239
	db 223,190,102,6,0,30,96,252,243,224,0,24,31,31,126,252,3,247,192,99
	db 225,129,251,243,247,255,255,119,6,0,0,0,0,103,204,121,129,251,243
	db 247,255,255,119,6,0,63,112,255,251,240,0,24,31,191,255,126,3,255
	db 224,97,241,129,255,249,195,158,63,255,6,0,0,0,0,99,236,249,129,255
	db 249,195,158,63,255,6,0,57,240,241,255,248,0,24,31,222,120,56,243
	db 199,112,96,249,129,251,249,195,159,63,127,6,0,0,0,0,99,204,125,129
	db 251,249,195,159,63,127,6,0,59,112,249,255,240,0,24,31,143,124,56
	db 123,231,112,97,241,129,195,185,195,159,187,119,6,0,0,0,0,99,204,57
	db 129,195,185,195,159,187,119,6,0,31,254,253,223,176,0,24,28,63,254
	db 56,3,247,240,99,241,128,193,152,193,143,217,179,6,0,0,0,0,97,204
	db 17,128,193,152,193,143,217,179,6,0,15,63,126,205,152,0,24,12,31,63
	db 24,1,251,224,97,249,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0,0,0
	db 0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,0,0,0,0,0,0,5,255,255
	db 255,255,223,251,255,127,255,255,255,255,255,255,253,255,255,255,255
	db 255,255,255,247,255,255,255,255,255,255,255,223,255,128,0,0,0,0,0
	db 0,7,255,255,255,255,191,247,254,255,255,255,255,255,255,255,251,255
	db 255,255,255,255,255,255,239,255,255,255,255,255,255,255,191,254,128
	db 0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24
	db 0,0,0,0,0,0,0,96,1,128,48,126,204,251,246,96,6,0,0,0,0,97,12,113
	db 128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,56,127
	db 239,253,255,112,6,0,0,0,0,99,140,121,128,0,126,248,243,240,0,6,31
	db 190,60,252,1,231,192,24,0,31,126,253,155,224,0,99,225,128,56,120
	db 255,248,231,240,6,0,0,0,0,103,204,121,128,0,127,252,121,248,0,6,31
	db 255,30,126,3,247,224,24,0,63,255,127,223,240,0,97,241,128,56,124
	db 255,220,231,240,6,0,0,0,0,99,236,249,128,0,120,238,112,224,0,6,30
	db 59,156,56,3,191,240,24,0,30,120,57,223,248,0,96,249,128,63,126,238
	db 252,231,112,6,0,0,0,0,99,204,125,128,0,124,238,112,224,0,6,31,59
	db 156,56,3,191,236,24,0,15,124,57,223,240,0,96,113,128,31,191,102,124
	db 99,48,6,0,0,0,0,99,204,57,128,0,126,254,240,224,0,6,31,191,188,56
	db 1,255,14,24,0,63,254,56,255,128,0,99,249,128,0,0,0,0,0,0,6,0,0,0
	db 0,97,204,17,128,0,63,124,120,96,0,6,15,223,30,24,0,243,6,24,0,31
	db 63,24,121,128,0,97,241,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0
	db 0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,127,255,255,255,255
	db 255,255,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,247,255,255,255,255,255,255,255,223
	db 255,255,255,255,255,255,255,255,251,255,255,255,255,191,247,254,255
	db 255,255,255,255,255,255,251,255,255,255,255,255,255,255,239,255,255
	db 255,255,255,255,255,191,254,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128
	db 0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,0,0,0,0,0,0
	db 6,0,0,0,0,97,12,113,128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0
	db 0,0,96,1,159,158,102,253,251,54,111,198,0,0,0,0,99,140,121,128,62
	db 126,120,243,231,192,6,31,30,62,204,1,231,192,24,15,158,66,249,131
	db 247,192,96,225,159,207,119,254,255,191,127,230,0,0,0,0,103,204,121
	db 128,63,127,253,251,247,224,6,31,143,127,254,3,247,224,24,31,255,103
	db 253,195,255,224,97,241,158,14,127,240,115,191,255,6,0,0,0,0,99,236
	db 249,128,63,248,231,223,255,112,6,29,206,60,252,3,191,240,24,15,63
	db 255,255,195,199,240,99,241,159,14,127,248,115,191,255,134,0,0,0,0
	db 99,204,125,128,63,124,237,223,247,112,6,29,206,30,248,3,191,236,24
	db 7,191,255,253,195,231,224,99,241,156,30,119,252,113,255,127,198,0
	db 0,0,0,99,204,57,128,59,126,126,255,183,240,6,31,222,127,236,1,255
	db 14,24,31,251,247,225,251,247,96,97,249,140,15,51,126,48,243,55,230
	db 0,0,0,0,97,204,17,128,25,191,60,121,155,224,6,15,143,62,102,0,243
	db 6,24,15,153,179,96,253,251,48,96,49,128,0,0,0,0,0,0,6,0,0,0,0,96
	db 12,1,128,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,96,1,128,0
	db 0,0,0,0,0,5,255,255,255,255,223,251,255,127,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,247,255,255,255,255,255,255,255,223
	db 255,128,0,0,0,0,0,0,7,255,255,255,255,191,247,254,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,254,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,6,0,0,0,0,97
	db 12,113,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,31
	db 60,133,243,7,224,6,0,0,0,0,99,140,121,128,0,0,0,0,0,0,1,230,103,159
	db 62,60,124,241,231,207,192,0,0,0,0,0,0,1,128,63,254,207,251,135,240
	db 6,0,0,0,0,103,204,121,128,0,0,0,0,0,0,3,247,127,223,191,126,255,251
	db 247,239,224,0,0,0,0,0,0,1,128,30,127,255,255,135,128,6,0,0,0,0,99
	db 236,249,128,0,0,0,0,0,0,3,223,127,253,255,255,121,207,191,255,0,0
	db 0,0,0,0,0,1,128,15,127,255,251,135,192,6,0,0,0,0,99,204,125,128,0
	db 0,0,0,0,0,3,239,127,253,255,127,61,219,191,239,128,0,0,0,0,0,0,1
	db 128,63,247,239,195,247,224,6,0,0,0,0,99,204,57,128,0,0,0,0,0,0,1
	db 179,254,255,251,119,254,253,255,15,192,0,0,0,0,0,0,1,128,31,51,102
	db 193,251,240,6,0,0,0,0,97,204,17,128,0,0,0,0,0,0,0,217,230,111,153
	db 179,124,120,243,7,224,0,0,0,0,0,0,1,128,0,0,0,0,0,0,6,0,0,0,0,96
	db 12,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0
	db 0,0,0,0,5,255,255,255,255,223,251,255,127,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,128,0,0,0,0,0,0,7,255,255,255,255,191,247,254,254,0,0,0,0,0,254
	db 0,0,0,0,0,254,0,0,0,0,0,254,0,0,0,0,0,254,128,0,0,0,0,0,0,6,0,0,0
	db 0,96,12,1,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,128,0,0,0,0,0,0,6,0,0,0,0,97,12,113,145,0,0,0,0,0,177,0,0,0,0
	db 0,177,0,0,0,0,0,161,0,0,0,0,0,129,128,51,60,193,154,23,224,6,0,0
	db 0,0,99,140,121,185,0,0,0,0,0,153,0,0,0,0,0,153,0,0,0,0,0,185,0,0
	db 0,0,0,129,128,59,254,225,223,63,240,6,0,0,0,0,103,204,121,153,0,0
	db 0,0,0,149,0,0,0,0,0,149,0,0,0,0,0,189,0,0,0,0,0,129,128,59,247,225
	db 223,255,128,6,0,0,0,0,99,236,249,153,0,0,0,0,0,169,0,0,0,0,0,137
	db 0,0,0,0,0,157,0,0,0,0,0,129,128,31,247,225,223,255,192,6,0,0,0,0
	db 99,204,125,185,0,0,0,0,0,185,0,0,0,0,0,181,0,0,0,0,0,141,0,0,0,0
	db 0,129,128,15,63,252,255,191,224,6,0,0,0,0,99,204,57,157,0,0,0,0,0
	db 157,0,0,0,0,0,153,0,0,0,0,0,133,0,0,0,0,0,129,128,6,30,126,121,155
	db 240,6,0,0,0,0,97,204,17,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0,0,0,0,5,255
	db 255,255,255,223,251,255,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,128,0,0,0,0,0,0,7,255,255,255,255,191,247,254,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0
	db 0,0,0,6,0,0,0,0,96,12,1,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,128,48,126,204,251,246,96,6,0,0,0,0,97,12,113,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,56,127
	db 239,253,255,112,6,0,0,0,0,99,140,121,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,0,0,0,0,0,129,128,56,120,255,248,231,240,6,0,0
	db 0,0,103,204,121,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0
	db 0,0,0,129,128,56,124,255,220,231,240,6,0,0,0,0,99,236,249,129,0,0
	db 0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,63,126,238
	db 252,231,112,6,0,0,0,0,99,204,125,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,128,31,191,102,124,99,48,6,0,0,0,0,99
	db 204,57,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 128,0,0,0,0,0,0,6,0,0,0,0,97,204,17,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0
	db 0,0,0,5,255,255,255,255,223,251,255,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0,0,0,0,7,255,255,255,255,191
	db 247,254,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,129,0,0,0,0,0,129,0,0,0,0,0,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,128,62,126,249,249,231,224,6,0,0,0,0
	db 97,12,113,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,128,63,127,253,255,243,240,6,0,0,0,0,99,140,121,129,0,0,0,0,0
	db 129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,63,248,255,227
	db 249,192,6,0,0,0,0,103,204,121,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0
	db 0,0,0,129,0,0,0,0,0,129,128,63,124,253,243,249,192,6,0,0,0,0,99,236
	db 249,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128
	db 59,126,225,251,185,192,6,0,0,0,0,99,204,125,129,0,0,0,0,0,129,0,0
	db 0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,25,191,96,253,152,192,6
	db 0,0,0,0,99,204,57,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0
	db 0,0,0,0,129,128,0,0,0,0,0,0,6,0,0,0,0,97,204,17,129,0,0,0,0,0,129
	db 0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,128,0,0,0,0,0,0,6,0,0,0
	db 0,96,12,1,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0,129,0,0,0,0,0
	db 129,128,0,0,0,0,0,0,5,255,255,255,255,223,251,255,127,0,0,0,0,0,127
	db 0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,128,0,0,0,0,0,0,7,255,255
	db 255,255,191,247,254,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,254,128,0,0,0,0,0
	db 0,6,0,0,0,0,96,12,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,1,128,62,126,249,131,246,96,6,0,0,0,0,97,12,113,128,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,63,127,253,195,255,112
	db 6,0,0,0,0,99,140,121,128,238,172,238,58,58,184,0,0,0,0,0,0,0,0,0
	db 0,2,101,217,88,212,98,102,1,128,63,248,255,195,199,240,6,0,0,0,0
	db 103,204,121,128,247,254,255,63,63,252,0,0,0,0,0,0,0,0,0,0,5,118,253
	db 253,126,53,51,1,128,63,124,253,195,231,240,6,0,0,0,0,99,236,249,128
	db 246,255,254,63,63,252,0,0,0,0,0,0,0,0,0,0,2,238,219,250,158,47,170
	db 129,128,59,126,225,251,247,112,6,0,0,0,0,99,204,125,128,246,127,247
	db 63,63,252,0,0,0,0,0,0,0,0,0,0,5,118,221,252,78,87,209,1,128,25,191
	db 96,253,251,48,6,0,0,0,0,99,204,57,128,198,61,255,63,179,252,0,0,0
	db 0,0,0,0,0,0,0,2,238,219,251,172,114,246,129,128,0,0,0,0,0,0,6,0,0
	db 0,0,97,204,17,128,66,22,119,21,209,84,0,0,0,0,0,0,0,0,0,0,1,50,76
	db 236,196,57,59,1,128,0,0,0,0,0,0,6,0,0,0,0,96,12,1,128,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255,255,255,255,255,253
	db 255,255,255,255,223,251,255,127,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,62,121
	db 153,246,103,144,191,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,24,0,0,1,128,0,0,0,127,253,223,255,127,217,255,156,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,1,128,0,0,0,60,239
	db 255,247,255,255,252,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,12,0,0,1,128,0,0,0,30,239,255,191,255,255,254,24,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,1,128,0,0,0,127,127
	db 221,255,126,253,255,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,28,0,0,1,128,0,0,0,62,60,204,251,54,108,223,140,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,1,128,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,253,255,255,255,254,128,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,1,128,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 3,0,0,0,1,128,0,15,158,66,249,131,246,103,144,191,24,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,48,60,121,241,128,0,31,255,103
	db 253,195,255,127,217,255,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,3,56,126,253,249,128,0,15,63,255,255,195,199,255,255,252
	db 12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,56,119,255,221
	db 128,0,7,191,255,253,195,231,255,255,254,24,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,3,56,119,255,221,128,0,31,251,247,225,251
	db 247,126,253,255,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 3,63,63,239,253,128,0,15,153,179,96,253,251,54,108,223,140,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,31,158,102,249,128,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3
	db 0,0,0,1,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,254,128,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3
	db 246,108,223,128,0,0,0,0,0,0,1,131,255,255,128,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,255,126,255,192,0,0,0,0,0,0,1,130,0
	db 0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,127,254
	db 0,0,0,0,0,0,0,1,130,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,231,127,255,0,0,0,0,0,0,0,1,130,0,0,64,0,0,0,6,238,234
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,254,255,128,0,0,0,0,0
	db 0,1,130,0,0,64,0,0,0,11,127,127,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,97,230,111,192,0,0,0,0,0,0,1,130,0,0,64,0,0,0,4,111,111,66
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,130,0,0
	db 64,59,171,184,2,111,111,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,243
	db 200,79,51,62,0,0,0,0,0,1,130,0,0,65,31,255,255,237,111,111,210,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,249,236,231,187,255,0,0,0,0,0,1
	db 130,0,0,67,155,63,253,246,37,39,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,225,207,231,63,254,0,0,0,0,0,1,130,0,0,71,219,191,252,224,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,207,231,63,247,0,0,0
	db 0,0,1,129,255,255,195,251,191,60,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,227,206,239,59,191,0,0,0,0,0,1,128,0,0,0,9,213,28,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,230,103,153,159,0,0,0
	db 0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,1,191,255,255,231,255,255,255,255,255,255,255
	db 255,231,255,255,255,255,255,255,255,255,231,255,255,255,255,255,255
	db 255,255,231,255,255,255,255,255,255,255,255,249,160,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5
	db 160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0
	db 0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0
	db 0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5
	db 160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0
	db 0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0
	db 0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,5,175,255,255,149,255,255,255,255,255,255,255,255,149,255,255
	db 255,255,255,255,255,255,149,255,255,255,255,255,255,255,255,149,255
	db 255,255,255,255,255,255,255,229,175,255,255,149,255,255,255,255,255
	db 255,255,255,149,255,255,255,255,255,255,255,255,149,255,255,255,255
	db 255,255,255,255,149,255,255,255,255,255,255,255,255,229,168,0,0,85
	db 0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0
	db 0,0,0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0
	db 0,0,0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0
	db 0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0
	db 0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0
	db 0,0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0
	db 0,0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0
	db 0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0,0
	db 0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0
	db 0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0
	db 0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0
	db 0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,21,168,0,0,85,0,0,0
	db 0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0
	db 0,21,167,255,255,212,255,255,255,255,255,255,255,255,212,255,255
	db 255,255,255,255,255,255,212,255,255,255,255,255,255,255,255,212,255
	db 255,255,255,255,255,255,255,245,167,255,255,212,255,255,255,255,255
	db 255,255,255,212,255,255,255,255,255,255,255,255,212,255,255,255,255
	db 255,255,255,255,212,255,255,255,255,255,255,255,255,245,160,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0
	db 0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5
	db 160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0
	db 0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20
	db 0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0
	db 0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0
	db 0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0
	db 0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0
	db 0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0
	db 0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5
	db 160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0
	db 20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0
	db 0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160,0,0,20,0,0,0,0,0,0
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,5,160
	db 0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,20,0
	db 0,0,0,0,0,0,0,5,159,255,255,243,255,255,255,255,255,255,255,255,243
	db 255,255,255,255,255,255,255,255,243,255,255,255,255,255,255,255,255
	db 243,255,255,255,255,255,255,255,255,253,128,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,0,0,0,0,1,0,32,4,0,0,0,0,64,8,1,0,0,0,0,0,0,0,4,0,0,0
	db 0,0,0,0,16,0,0,0,0,0,0,0,64,1,127,255,255,255,255,127,239,253,255
	db 255,255,255,223,251,255,127,255,255,255,255,255,255,253,255,255,255
	db 255,255,255,255,247,255,255,255,255,255,255,255,223,255,127,255,255
	db 255,255,127,239,253,255,255,255,255,222,251,143,127,255,255,255,255
	db 255,255,253,255,255,255,255,255,255,255,247,255,255,255,255,255,255
	db 255,223,255,127,193,195,131,255,97,232,61,255,255,255,255,220,123
	db 143,127,255,131,63,12,207,255,253,255,255,4,12,48,127,255,247,255
	db 248,51,240,64,255,255,223,63,127,204,153,63,255,115,233,157,255,255
	db 255,255,216,59,143,127,255,153,62,100,207,255,253,255,254,127,57
	db 147,63,255,247,255,249,147,231,243,255,255,222,63,127,193,153,135
	db 255,115,233,157,255,255,255,255,220,123,7,127,255,131,62,6,31,255
	db 253,255,255,15,57,144,127,255,247,255,248,51,240,243,255,255,223
	db 63,127,207,153,243,255,115,233,157,255,255,255,255,220,123,143,127
	db 255,159,62,103,63,255,253,255,255,231,57,147,255,255,247,255,249
	db 243,254,115,255,255,223,63,127,207,195,7,255,97,232,61,255,255,255
	db 255,220,123,223,127,255,159,2,103,63,255,253,255,254,15,60,51,255
	db 255,247,255,249,240,32,243,255,255,222,31,127,255,255,255,255,127
	db 239,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255,253
	db 255,255,255,255,255,255,255,247,255,255,255,255,255,255,255,223,255
	db 127,255,255,255,255,127,239,253,255,255,255,255,223,251,255,127,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255
	db 255,255,255,255,223,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,0
	db 0,0,0,64,8,1,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,64,1
	db 127,255,255,255,255,255,255,253,255,255,255,255,223,251,255,127,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255
	db 255,255,255,255,223,255,127,255,255,255,255,255,255,253,255,255,255
	db 255,222,251,143,127,255,255,255,255,255,255,253,255,255,255,255,255
	db 255,255,247,255,255,255,255,255,255,255,223,255,126,14,24,16,32,65
	db 153,253,255,255,255,255,220,123,143,126,14,24,16,32,65,153,253,255
	db 225,159,3,12,31,255,247,224,224,129,3,252,8,63,220,31,126,100,206
	db 124,231,204,137,253,255,255,255,255,216,59,143,126,100,206,124,231
	db 204,137,253,255,204,159,62,100,207,255,247,230,79,159,207,252,249
	db 159,223,207,126,12,14,124,225,193,129,253,255,255,255,255,220,123
	db 7,126,12,14,124,225,193,129,253,255,207,159,14,4,31,255,247,224,225
	db 135,207,12,57,159,223,31,126,124,206,124,231,201,145,253,255,255
	db 255,255,220,123,143,126,124,206,124,231,201,145,253,255,204,159,62
	db 100,159,255,247,231,252,159,207,252,249,159,222,127,126,124,206,124
	db 224,76,153,253,255,255,255,255,220,123,223,126,124,206,124,224,76
	db 153,253,255,225,129,2,100,207,255,247,231,193,129,207,252,8,63,220
	db 15,127,255,255,255,255,255,255,253,255,255,255,255,223,251,255,127
	db 255,255,255,255,255,255,253,255,255,255,255,255,255,255,247,255,255
	db 255,255,255,255,255,223,255,127,255,255,255,255,255,255,253,255,255
	db 255,255,223,251,255,127,255,255,255,255,255,255,253,255,255,255,255
	db 255,255,255,247,255,255,255,255,255,255,255,223,255,127,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,252,0,0,0,0,64,8,1,0,0,0,0,0
	db 0,0,4,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,64,1,127,255,255,255,255,255
	db 255,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255,253
	db 255,255,255,255,255,255,255,247,255,255,255,255,255,255,255,223,255
	db 127,207,129,51,4,9,159,253,255,255,255,255,222,251,143,127,255,255
	db 255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255,255
	db 255,255,255,223,255,127,207,159,18,127,57,159,253,255,255,255,255
	db 220,123,143,127,255,129,7,12,15,255,253,224,65,195,3,254,24,63,247
	db 255,224,129,2,100,31,255,220,31,127,207,135,2,71,56,31,253,255,255
	db 255,255,216,59,143,127,255,159,51,159,63,255,253,231,204,231,207
	db 252,201,159,247,255,207,159,206,100,207,255,223,207,127,207,159,34
	db 103,57,159,253,255,255,255,255,220,123,7,127,255,135,51,159,63,255
	db 253,225,204,231,207,252,200,63,247,255,225,135,206,100,31,255,223
	db 31,127,192,129,51,7,57,159,253,255,255,255,255,220,123,143,127,255
	db 159,51,159,63,255,253,231,204,231,207,252,201,243,247,255,252,159
	db 206,100,255,255,223,207,127,255,255,255,255,255,255,253,255,255,255
	db 255,220,123,223,127,255,129,7,15,63,255,253,224,65,195,207,254,25
	db 243,247,255,193,129,207,12,255,255,220,31,127,255,255,255,255,255
	db 255,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255,253
	db 255,255,255,255,255,255,255,247,255,255,255,255,255,255,255,223,255
	db 127,255,255,255,255,255,255,253,255,255,255,255,223,251,255,127,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255
	db 255,255,255,255,223,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,0
	db 0,0,0,64,8,1,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,64,1
	db 127,255,255,255,255,255,255,253,255,255,255,255,223,251,255,127,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255
	db 255,255,255,255,223,255,127,255,255,255,255,255,255,253,255,255,255
	db 255,222,251,143,127,255,255,255,255,255,255,253,255,255,255,255,255
	db 255,255,247,255,255,255,255,255,255,255,223,255,96,97,153,2,4,201
	db 144,61,255,255,255,255,220,123,143,127,193,129,135,12,24,63,253,224
	db 225,193,51,254,24,63,247,240,97,189,6,124,8,63,223,31,103,243,137
	db 63,156,200,147,253,255,255,255,255,216,59,143,127,204,159,50,100
	db 201,159,253,230,115,159,39,252,201,159,247,231,204,153,50,124,249
	db 159,222,31,97,243,129,15,156,200,16,253,255,255,255,255,220,123,7
	db 127,193,135,62,100,25,159,253,230,115,195,15,252,200,63,247,240,192
	db 129,6,124,56,63,220,159,103,243,145,63,156,201,19,253,255,255,255
	db 255,220,123,143,127,201,159,50,100,153,159,253,230,115,249,39,252
	db 201,243,247,254,76,153,62,124,249,63,220,15,103,225,153,3,158,25
	db 144,61,255,255,255,255,220,123,223,127,204,129,135,12,200,63,253
	db 224,225,131,51,254,25,243,247,224,204,153,62,4,9,159,223,159,127
	db 255,255,255,255,255,255,253,255,255,255,255,223,251,255,127,255,255
	db 255,255,255,255,253,255,255,255,255,255,255,255,247,255,255,255,255
	db 255,255,255,223,255,127,255,255,255,255,255,255,253,255,255,255,255
	db 223,251,255,127,255,255,255,255,255,255,253,255,255,255,255,255,255
	db 255,247,255,255,255,255,255,255,255,223,255,127,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 127,255,255,255,255,255,255,252,0,0,0,0,64,8,1,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255,255,255,255,255,253,255
	db 255,255,255,223,251,255,127,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,255,255
	db 255,255,255,255,253,255,255,255,255,222,251,143,127,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,127,224,195,122,12,248,31,253,255,255,255,255,220,123
	db 143,127,255,255,255,255,255,255,254,25,152,96,193,195,131,14,24,48
	db 63,255,255,255,255,255,255,255,127,207,153,50,100,249,255,253,255
	db 255,255,255,216,59,143,127,255,255,255,255,255,255,252,201,147,38
	db 76,153,62,100,201,147,255,255,255,255,255,255,255,255,127,225,129
	db 2,12,248,127,253,255,255,255,255,220,123,7,127,255,255,255,255,255
	db 255,252,169,144,38,65,129,134,124,200,48,255,255,255,255,255,255
	db 255,255,127,252,153,50,124,249,255,253,255,255,255,255,220,123,143
	db 127,255,255,255,255,255,255,252,153,147,38,73,153,242,100,201,243
	db 255,255,255,255,255,255,255,255,127,193,153,50,124,8,31,253,255,255
	db 255,255,220,123,223,127,255,255,255,255,255,255,254,76,51,32,204
	db 153,7,14,25,240,63,255,255,255,255,255,255,255,127,255,255,255,255
	db 255,255,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,127,255,255,255,255,255,255,253,255,255,255,255,223,251,255,127
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,127,255,255,255
	db 255,255,255,252,0,0,0,0,64,8,1,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0
	db 0,1,0,0,0,0,0,1,127,255,255,255,255,255,255,253,255,255,255,255,223
	db 251,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127
	db 127,255,255,255,255,255,255,253,255,255,255,255,222,251,143,111,0
	db 0,0,0,0,79,0,0,0,0,0,79,0,0,0,0,0,95,0,0,0,0,0,127,127,204,195,62
	db 101,232,31,253,255,255,255,255,220,123,143,79,0,0,0,0,0,119,0,0,0
	db 0,0,119,0,0,0,0,0,87,0,0,0,0,0,127,127,204,153,62,100,201,255,253
	db 255,255,255,255,216,59,143,111,0,0,0,0,0,111,0,0,0,0,0,111,0,0,0
	db 0,0,71,0,0,0,0,0,127,127,204,153,62,100,8,127,253,255,255,255,255
	db 220,123,7,111,0,0,0,0,0,95,0,0,0,0,0,119,0,0,0,0,0,119,0,0,0,0,0
	db 127,127,225,153,62,100,201,255,253,255,255,255,255,220,123,143,71
	db 0,0,0,0,0,71,0,0,0,0,0,79,0,0,0,0,0,119,0,0,0,0,0,127,127,243,195
	db 3,12,200,31,253,255,255,255,255,220,123,223,127,0,0,0,0,0,127,0,0
	db 0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255
	db 253,255,255,255,255,223,251,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0
	db 0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255,253,255,255
	db 255,255,223,251,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127
	db 0,0,0,0,0,127,127,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127
	db 127,255,255,255,255,255,255,252,0,0,0,0,64,8,1,127,0,0,0,0,0,127
	db 0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255,255
	db 255,253,255,255,255,255,223,251,255,127,0,0,0,0,0,127,0,0,0,0,0,127
	db 0,0,0,0,0,127,0,0,0,0,0,127,127,207,129,51,4,9,159,253,255,255,255
	db 255,222,251,143,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0
	db 0,0,0,127,127,207,159,18,127,57,159,253,255,255,255,255,220,123,143
	db 127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,207
	db 135,2,71,56,31,253,255,255,255,255,216,59,143,127,0,0,0,0,0,127,0
	db 0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,207,159,34,103,57,159
	db 253,255,255,255,255,220,123,7,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0
	db 0,0,0,127,0,0,0,0,0,127,127,192,129,51,7,57,159,253,255,255,255,255
	db 220,123,143,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0
	db 0,127,127,255,255,255,255,255,255,253,255,255,255,255,220,123,223
	db 127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255
	db 255,255,255,255,255,253,255,255,255,255,223,251,255,127,0,0,0,0,0
	db 127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255
	db 255,255,253,255,255,255,255,223,251,255,127,0,0,0,0,0,127,0,0,0,0
	db 0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0
	db 0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255,252,0,0,0,0,64
	db 8,1,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127
	db 255,255,255,255,255,255,253,255,255,255,255,223,251,255,127,0,0,0
	db 0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,193,129,6,6
	db 24,31,253,255,255,255,255,222,251,143,127,0,0,0,0,0,127,0,0,0,0,0
	db 127,0,0,0,0,0,127,0,0,0,0,0,127,127,204,159,50,124,206,127,253,255
	db 255,255,255,220,123,143,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0
	db 127,0,0,0,0,0,127,127,193,135,6,28,14,127,253,255,255,255,255,216
	db 59,143,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127
	db 127,201,159,62,124,206,127,253,255,255,255,255,220,123,7,127,0,0
	db 0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,204,129,62
	db 4,206,127,253,255,255,255,255,220,123,143,127,0,0,0,0,0,127,0,0,0
	db 0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255,253
	db 255,255,255,255,220,123,223,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0
	db 0,0,127,0,0,0,0,0,127,127,255,255,255,255,255,255,253,255,255,255
	db 255,223,251,255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0
	db 0,0,0,127,127,255,255,255,255,255,255,253,255,255,255,255,223,251
	db 255,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,0,0,0,0,0,127,127
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0
	db 0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,127,255,255,255
	db 255,255,255,252,0,0,0,0,64,8,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,1,127,255,255,255,255,255,255,253,255,255,255,255,223
	db 251,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,127,193,129,6,124,9,159,253
	db 255,255,255,255,222,251,143,127,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,204
	db 159,50,124,248,159,253,255,255,255,255,220,123,143,127,17,83,17,197
	db 197,71,255,255,255,255,255,255,255,255,255,255,253,154,38,167,43
	db 157,153,255,127,193,135,6,124,56,31,253,255,255,255,255,216,59,143
	db 127,91,85,87,213,213,87,255,255,255,255,255,255,255,255,255,255,250
	db 171,106,170,235,234,238,255,127,201,159,62,124,249,31,253,255,255
	db 255,255,220,123,7,127,27,21,81,197,196,71,255,255,255,255,255,255
	db 255,255,255,255,253,155,102,167,99,216,221,255,127,204,129,62,4,9
	db 159,253,255,255,255,255,220,123,143,127,123,213,93,213,221,87,255
	db 255,255,255,255,255,255,255,255,255,250,171,106,171,183,186,190,255
	db 127,255,255,255,255,255,255,253,255,255,255,255,220,123,223,127,123
	db 211,17,212,93,87,255,255,255,255,255,255,255,255,255,255,253,155
	db 102,38,119,141,137,255,127,255,255,255,255,255,255,253,255,255,255
	db 255,223,251,255,127,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,127,255,255,255,255
	db 255,255,253,255,255,255,255,223,251,255,127,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,127,255,255,255,193,134,102,9,152,111,64
	db 231,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,231,255,255,255,127,255,255,255,159
	db 50,36,248,147,38,79,231,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,231,255,255,255
	db 127,255,255,255,195,50,4,136,16,32,67,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,127,255,255,255,249,50,68,201,19,38,79,231,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,231,255,255,255,127,255,255,255,131,134,102
	db 9,147,38,64,231,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,231,255,255,255,127,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,2,0,0,0,1,127,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,254,255,255,255,255,127,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,127,255
	db 240,97,189,6,124,9,152,111,64,231,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,254,207
	db 195,134,15,127,255,231,204,153,50,124,248,147,38,79,231,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,254,207,153,50,103,127,255,240,192,129,6,124,56,16,32
	db 67,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,254,207,153,2,103,127,255,254,76
	db 153,62,124,249,19,38,79,231,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,254,207,153,50
	db 103,127,255,224,204,153,62,4,9,147,38,64,231,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,254,192,195,50,15,127,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,254,255,255,255,255,127,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,252,9,147,32,127,255
	db 255,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,57,145,39,255,255,255,255,255,255,255,255,127,255,255,191,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,57,144,33,255,255,255,255,255,255,255
	db 255,127,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,57,146,39,255
	db 255,255,255,255,255,255,255,127,255,255,191,255,255,255,249,17,21
	db 159,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,60,51,32,127,255,255,255,255,255,255,255,127,255,255,191
	db 255,255,255,247,181,181,123,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,127,255,255,191,255,255,255,251,177,181,191,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,127,255,255,191,196,84,71,253,181
	db 181,219,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,252,12,55,176,204,193,255,255,255,255,255,255,127,255,255
	db 190,237,197,84,19,181,177,63,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,62,115,57,196,159,255,255,255
	db 255,255,255,127,255,255,188,108,212,86,63,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,62,112
	db 57,192,145,255,255,255,255,255,255,127,255,255,184,45,213,215,127
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,62,115,57,200,153,255,255,255,255,255,255,126,0,0
	db 63,236,85,199,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,60,51,48,204,193,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,127,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3
	db 96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3
	db 96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,76,0,0,0,0,0,0,0,0,76,0,0,0,0
	db 0,0,0,0,76,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,19,96,0,0,76,0,0,0
	db 0,0,0,0,0,76,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0
	db 0,19,103,255,255,204,255,255,255,255,255,255,255,255,204,255,255
	db 255,255,255,255,255,255,204,255,255,255,255,255,255,255,255,204,255
	db 255,255,255,255,255,255,255,243,103,255,255,204,255,255,255,255,255
	db 255,255,255,204,255,255,255,255,255,255,255,255,204,255,255,255,255
	db 255,255,255,255,204,255,255,255,255,255,255,255,255,243,103,255,255
	db 204,255,255,255,255,255,255,255,255,204,255,255,255,255,255,255,255
	db 255,204,255,255,255,255,255,255,255,255,204,255,255,255,255,255,255
	db 255,255,243,103,255,255,204,255,255,255,255,255,255,255,255,204,255
	db 255,255,255,255,255,255,255,204,255,255,255,255,255,255,255,255,204
	db 255,255,255,255,255,255,255,255,243,103,255,255,204,255,255,255,255
	db 255,255,255,255,204,255,255,255,255,255,255,255,255,204,255,255,255
	db 255,255,255,255,255,204,255,255,255,255,255,255,255,255,243,103,255
	db 255,204,255,255,255,255,255,255,255,255,204,255,255,255,255,255,255
	db 255,255,204,255,255,255,255,255,255,255,255,204,255,255,255,255,255
	db 255,255,255,243,103,255,255,204,255,255,255,255,255,255,255,255,204
	db 255,255,255,255,255,255,255,255,204,255,255,255,255,255,255,255,255
	db 204,255,255,255,255,255,255,255,255,243,103,255,255,204,255,255,255
	db 255,255,255,255,255,204,255,255,255,255,255,255,255,255,204,255,255
	db 255,255,255,255,255,255,204,255,255,255,255,255,255,255,255,243,103
	db 255,255,204,255,255,255,255,255,255,255,255,204,255,255,255,255,255
	db 255,255,255,204,255,255,255,255,255,255,255,255,204,255,255,255,255
	db 255,255,255,255,243,103,255,255,204,255,255,255,255,255,255,255,255
	db 204,255,255,255,255,255,255,255,255,204,255,255,255,255,255,255,255
	db 255,204,255,255,255,255,255,255,255,255,243,111,255,255,205,255,255
	db 255,255,255,255,255,255,205,255,255,255,255,255,255,255,255,205,255
	db 255,255,255,255,255,255,255,205,255,255,255,255,255,255,255,255,243
	db 111,255,255,205,255,255,255,255,255,255,255,255,205,255,255,255,255
	db 255,255,255,255,205,255,255,255,255,255,255,255,255,205,255,255,255
	db 255,255,255,255,255,243,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3
	db 96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0
	db 0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0
	db 12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0
	db 0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0
	db 0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0
	db 0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96
	db 0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0
	db 0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0
	db 0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3
	db 96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,96,0,0,12,0,0,0,0,0,0,0,0,12
	db 0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,3,127,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255

	; 320x99 Disk Op. planar bitmap (2 bitplanes)
	ALIGN 4
DiskOpBitmap:
	db 255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255
	db 255,191,239,255,255,255,255,255,255,255,255,255,251,255,255,255,255
	db 255,255,255,255,255,254,128,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,96
	db 24,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1
	db 128,0,0,0,0,0,0,0,96,24,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,1,128
	db 0,31,30,124,253,155,240,0,1,159,30,60,204,96,0,0,0,96,25,129,227
	db 207,128,33,60,249,155,7,230,62,121,155,240,8,79,62,102,193,249,128
	db 0,31,191,126,255,221,248,0,1,159,191,126,254,112,0,0,0,96,25,195
	db 247,239,192,51,254,253,223,135,246,127,253,223,248,12,255,191,119
	db 225,253,128,0,31,255,255,241,252,224,0,1,159,255,243,252,48,0,0,0
	db 96,25,195,191,254,224,63,247,239,223,135,134,60,255,223,192,15,253
	db 251,247,225,225,128,0,31,191,254,249,252,224,0,1,159,191,246,248
	db 96,0,0,0,96,25,195,191,254,224,63,247,239,223,135,198,30,254,255
	db 224,15,253,251,247,225,241,128,0,28,59,246,253,220,224,0,1,156,59
	db 191,236,112,0,0,0,96,25,249,255,127,224,59,191,254,255,247,230,127
	db 238,123,240,14,239,255,191,253,249,128,0,12,25,179,126,204,96,0,1
	db 140,25,158,102,48,0,0,0,96,24,252,243,55,192,25,158,124,121,251,246
	db 62,102,49,248,6,103,159,30,126,253,128,0,0,0,0,0,0,0,0,1,128,0,0
	db 0,0,0,0,0,96,24,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,1,127,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,223,247
	db 255,255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255
	db 255,255,255,255,191,239,255,255,255,255,255,255,255,255,255,251,255
	db 255,255,255,255,255,255,255,255,254,128,0,0,0,0,0,0,0,0,1,128,0,0
	db 0,0,0,0,0,96,24,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,1,128,0,0,0
	db 0,0,0,0,0,1,128,0,0,0,0,0,0,0,96,24,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0
	db 0,0,0,0,1,128,0,249,251,247,207,207,179,0,1,143,158,102,252,96,0
	db 0,0,96,25,129,227,207,128,31,60,133,243,7,230,62,121,155,240,7,207
	db 33,124,193,249,128,0,253,255,255,239,255,251,128,1,159,255,119,254
	db 112,0,0,0,96,25,195,247,239,192,63,254,207,251,135,246,127,253,223
	db 248,15,255,179,254,225,253,128,0,255,227,199,255,15,63,128,1,143
	db 63,247,240,48,0,0,0,96,25,195,191,254,224,30,127,255,255,135,134
	db 60,255,223,192,7,159,255,255,225,225,128,0,253,243,231,239,135,191
	db 128,1,135,191,191,248,96,0,0,0,96,25,195,191,254,224,15,127,255,251
	db 135,198,30,254,255,224,3,223,255,254,225,241,128,0,237,251,135,111
	db 223,251,128,1,159,251,158,252,112,0,0,0,96,25,249,255,127,224,63
	db 247,239,195,247,230,127,238,123,240,15,253,251,240,253,249,128,0
	db 102,253,131,55,239,153,128,1,143,153,140,126,48,0,0,0,96,24,252,243
	db 55,192,31,51,102,193,251,246,62,102,49,248,7,204,217,176,126,253
	db 128,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,96,24,0,0,0,0,0,0,0,0,0,6
	db 0,0,0,0,0,0,0,0,0,1,127,255,255,255,255,255,255,255,255,255,127,255
	db 255,255,255,255,255,255,223,247,255,255,255,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,239,254
	db 128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,24,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,249,157,221,80,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,159,239
	db 248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,24,113,159,237,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,113,159,237,240,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,113,153
	db 237,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,24,49,136,164,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,255,128,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,254,191
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,152,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,97,160,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,241,160,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,89,249,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,88,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,249,160,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88
	db 121,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,87,255,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,160,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88
	db 1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,160,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,160,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,89,225,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,89,241,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,160,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 88,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,153,160,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253
	db 160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,88,121,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,241,160,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,160,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,88,205,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,241,160,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88
	db 121,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,88,113,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,113,160,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,241,160
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,88,121,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,160,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 88,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,88,113,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,113,160,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,113
	db 160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,88,49,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,87,255,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88
	db 241,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,88,249,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,160,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,160
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,88,121,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,49,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,255,160,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 95,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,88,1,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,241,160,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249
	db 160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,89,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,249,159,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,217,253,128
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,24,249,127,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,247,255,0,0,0,0,0,0,0,0,0,1,0,0,0
	db 0,0,0,0,0,64,16,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,1,127,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,223,247
	db 255,255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,255,255,127,255,255,255
	db 255,255,255,255,223,247,255,255,255,255,255,255,255,255,255,253,255
	db 255,255,255,255,255,255,255,255,255,127,255,224,225,131,2,100,15
	db 255,255,96,225,195,51,159,255,255,255,223,246,126,28,48,127,222,195
	db 6,100,248,29,193,134,100,15,247,176,193,153,62,7,127,255,230,76,153
	db 62,39,63,255,255,102,76,153,39,159,255,255,255,223,246,124,201,147
	db 63,204,153,50,100,249,253,159,50,100,255,243,38,76,153,62,127,127
	db 255,224,192,131,14,7,63,255,255,96,192,159,15,255,255,255,255,223
	db 246,124,200,19,63,192,153,50,100,248,125,195,2,100,63,240,38,76,153
	db 62,31,127,255,231,204,147,62,71,63,255,255,103,204,153,39,159,255
	db 255,255,223,246,124,201,147,63,204,153,50,100,249,253,249,51,12,255
	db 243,38,76,153,62,127,127,255,231,204,153,2,103,63,255,255,103,204
	db 195,51,159,255,255,255,223,246,6,25,144,127,204,195,7,12,8,29,131
	db 51,156,15,243,48,193,195,2,7,127,255,255,255,255,255,255,255,255
	db 255,127,255,255,255,255,255,255,255,223,247,255,255,255,255,255,255
	db 255,255,255,253,255,255,255,255,255,255,255,255,255,255,127,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,223,247
	db 255,255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0
	db 0,0,0,64,16,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,1,127,255,255,255
	db 255,255,255,255,255,255,127,255,255,255,255,255,255,255,223,247,255
	db 255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,255,255,255,127,255,255,255,255
	db 255,255,255,223,247,255,255,255,255,255,255,255,255,255,253,255,255
	db 255,255,255,255,255,255,255,255,127,255,6,4,8,48,48,76,255,255,112
	db 97,153,3,159,255,255,255,223,246,126,28,48,127,224,195,122,12,248
	db 29,193,134,100,15,248,48,222,131,62,7,127,255,50,124,249,147,231
	db 204,255,255,103,204,153,63,159,255,255,255,223,246,124,201,147,63
	db 207,153,50,100,249,253,159,50,100,255,243,230,76,153,62,127,127,255
	db 6,28,56,48,240,192,255,255,112,192,153,15,255,255,255,255,223,246
	db 124,200,19,63,225,129,2,12,248,125,195,2,100,63,248,96,64,131,62
	db 31,127,255,38,124,249,51,254,76,255,255,126,76,195,63,159,255,255
	db 255,223,246,124,201,147,63,252,153,50,124,249,253,249,51,12,255,255
	db 38,76,159,62,127,127,255,50,4,249,144,32,204,255,255,96,204,231,3
	db 159,255,255,255,223,246,6,25,144,127,193,153,50,124,8,29,131,51,156
	db 15,240,102,76,159,2,7,127,255,255,255,255,255,255,255,255,255,127
	db 255,255,255,255,255,255,255,223,247,255,255,255,255,255,255,255,255
	db 255,253,255,255,255,255,255,255,255,255,255,255,127,255,255,255,255
	db 255,255,255,255,255,127,255,255,255,255,255,255,255,223,247,255,255
	db 255,255,255,255,255,255,255,253,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,1,127,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,247,255
	db 127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,246,7,98,34,175,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,247,159,106,182,175,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,247,159
	db 98,54,63,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,247,159,110,182,175,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,247,159,110,182,175,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,247
	db 255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,240,1,127,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 247,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,7,96,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,55,15,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,48,1,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55
	db 255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,54,7,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,54,127,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,31,96,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,127,96
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,54,7,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,103
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,55,15,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 54,103,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,7,96,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55
	db 159,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,96,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,96,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 63,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,48,1,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,55,15,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,54,7,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,15,96,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,96
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,55,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,1,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,255
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,54,15,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,103,96,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,15,96,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 54,103,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,54,15,127,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,247,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255

	; 104x39 Ask Screen planar bitmap (2 bitplanes)
	ALIGN 4
AskBitmap:
	db 255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255
	db 255,255,255,255,255,255,255,255,253,192,0,0,0,0,0,0,0,0,0,0,0,3,192
	db 0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0
	db 0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0
	db 0,3,192,243,231,224,25,158,102,0,251,55,207,223,3,193,251,247,240
	db 29,255,119,1,255,191,239,239,131,193,255,255,128,15,251,247,0,243
	db 191,255,7,195,193,255,247,192,7,187,247,0,123,191,239,131,131,193
	db 223,183,224,7,31,191,1,253,255,111,198,3,192,205,155,240,3,15,30
	db 0,248,243,55,227,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0
	db 0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3
	db 192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,31,255
	db 255,240,0,0,0,0,63,255,240,3,192,16,0,0,8,0,0,0,0,32,0,8,3,192,16
	db 0,0,8,0,0,0,0,32,0,8,3,192,19,55,231,200,0,0,0,0,38,103,136,3,192
	db 19,191,255,232,0,0,0,0,39,127,200,3,192,17,255,199,136,0,0,0,0,39
	db 254,232,3,192,16,247,227,200,0,0,0,0,39,254,232,3,192,16,231,239
	db 232,0,0,0,0,39,119,232,3,192,16,99,247,200,0,0,0,0,35,51,200,3,192
	db 16,0,0,8,0,0,0,0,32,0,8,3,192,15,255,255,248,0,0,0,0,31,255,248,3
	db 192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0
	db 0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,192,0,0,0,0,0,0,0,0
	db 0,0,0,3,192,0,0,0,0,0,0,0,0,0,0,0,3,191,255,255,255,255,255,255,255
	db 255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255
	db 255,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,3,63,255,255
	db 255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255
	db 255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255
	db 255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,63,255
	db 255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255
	db 255,255,255,255,255,255,255,63,12,24,31,230,97,153,255,4,200,48,32
	db 255,62,100,201,255,230,76,153,254,124,201,147,254,127,62,4,24,127
	db 240,204,153,255,12,200,48,248,255,62,100,153,255,249,204,153,255
	db 228,201,51,255,255,62,100,200,31,249,225,195,254,14,25,144,57,255
	db 63,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255
	db 255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255
	db 255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255
	db 255,63,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255
	db 255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255
	db 255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255
	db 255,255,63,255,255,255,247,255,255,255,255,255,255,247,255,63,255
	db 255,255,247,255,255,255,255,255,255,247,255,63,252,200,24,55,255
	db 255,255,255,249,152,119,255,63,252,201,243,247,255,255,255,255,248
	db 147,55,255,63,254,24,56,119,255,255,255,255,248,19,55,255,63,255
	db 57,255,55,255,255,255,255,249,19,55,255,63,255,56,16,119,255,255
	db 255,255,249,152,119,255,63,255,255,255,247,255,255,255,255,255,255
	db 247,255,63,255,255,255,247,255,255,255,255,255,255,247,255,63,240
	db 0,0,7,255,255,255,255,224,0,7,255,63,255,255,255,255,255,255,255
	db 255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255
	db 255,63,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255
	db 255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255
	db 255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255
	
	; 320x118 Sampler Screen planar bitmap (2 bitplanes)
	ALIGN 4
SamplerBitmap:
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,246,108,223,128,0,0,0,0,0,0,1,131
	db 255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,255
	db 126,255,192,0,0,0,0,0,0,1,130,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,231,127,254,0,0,0,0,0,0,0,1,130,0,0,64,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,127,255,0,0,0,0
	db 0,0,0,1,130,234,78,64,62,252,243,246,103,198,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,227,254,255,128,0,0,0,0,0,0,1,130,255,103,64,127
	db 127,249,255,127,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,230
	db 111,192,0,0,0,0,0,0,1,130,197,102,64,60,57,252,231,119,131,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,130,234,102
	db 64,30,57,252,231,115,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,243
	db 200,79,51,62,0,0,0,0,0,1,130,239,102,64,127,57,220,227,255,231,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,249,236,231,187,255,0,0,0,0,0
	db 1,130,117,34,64,62,24,204,97,231,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,225,207,231,63,254,0,0,0,0,0,1,130,0,0,64,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,207,231,63,247,0,0,0,0,0
	db 1,129,255,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,227,206,239,59,191,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,230,103,153,159,0,0,0,0,0,1,128,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,1,191,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,249,160,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5
	db 160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5
	db 160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,5,159,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,191,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 249,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,5,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,159,255,255,255,255,255,255,255
	db 255,255,255,254,255,255,255,255,255,255,255,255,255,254,255,255,255
	db 255,255,255,255,255,251,255,255,255,255,255,255,255,255,253,128,0
	db 0,1,128,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,6,0
	db 0,0,0,0,0,0,0,1,128,0,0,1,128,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1
	db 128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,142,142,160,33,134,103,153
	db 191,126,121,242,17,131,236,207,51,0,248,243,51,239,193,131,243,199
	db 144,128,60,205,248,6,49,59,144,0,0,0,0,0,1,143,207,241,241,135,127
	db 221,255,255,253,251,57,135,254,255,187,128,253,251,191,255,225,129
	db 255,239,217,192,126,238,252,6,57,191,216,0,0,0,0,0,1,143,207,81,249
	db 135,255,253,252,120,239,255,249,131,207,253,255,128,255,255,255,239
	db 1,128,247,126,255,192,119,238,112,6,61,187,200,0,0,0,0,0,1,143,207
	db 97,253,135,255,239,254,124,239,251,249,129,239,253,255,128,253,255
	db 255,127,129,129,231,126,255,192,119,238,112,6,61,159,208,0,0,0,0
	db 0,1,140,239,96,249,135,62,231,191,112,127,219,185,135,254,239,249
	db 128,237,223,187,255,193,131,243,247,253,192,63,126,112,6,53,191,24
	db 0,0,0,0,0,1,132,117,32,17,130,22,99,31,176,60,205,153,131,230,103
	db 144,128,102,205,153,247,225,129,249,227,204,192,30,60,48,6,24,157
	db 8,0,0,0,0,0,1,128,0,0,1,128,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1,128
	db 0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,127,255,255,255,127,255,255,255
	db 255,255,255,255,127,255,255,255,255,255,255,255,255,255,127,255,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255,255
	db 255,254,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255
	db 255,255,254,255,255,255,255,255,255,255,255,251,255,255,255,255,255
	db 255,255,255,254,128,0,0,1,128,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1
	db 128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,128,0,0,1,128,0,0,0,0,0,0,1
	db 128,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,128,0
	db 0,1,128,248,241,247,204,15,51,1,128,7,217,158,102,0,243,6,0,1,159
	db 30,102,125,248,3,204,24,6,96,120,243,225,128,0,0,0,1,128,0,0,1,128
	db 252,123,255,238,31,187,129,128,15,253,255,119,1,251,135,0,1,159,191
	db 119,255,252,7,238,28,6,112,253,251,241,192,0,0,0,1,128,0,0,1,128
	db 238,113,231,254,31,223,129,128,7,159,251,255,1,255,135,0,1,159,255
	db 255,253,224,7,254,28,6,112,239,223,248,192,0,0,0,1,128,0,0,1,128
	db 238,112,247,238,31,207,1,128,3,223,251,255,1,255,135,0,1,159,191
	db 255,239,240,7,254,28,6,112,239,223,241,128,0,0,0,1,128,0,0,1,128
	db 254,243,255,15,221,206,1,128,15,253,223,243,1,223,247,224,1,157,187
	db 247,127,248,7,127,223,134,126,126,255,129,192,0,0,0,1,159,126,121
	db 241,128,124,121,243,7,236,198,1,128,7,204,207,33,0,205,251,240,1
	db 140,217,179,62,252,3,55,239,198,63,60,121,128,192,0,0,0,1,191,191
	db 253,249,128,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0
	db 6,0,0,0,0,0,0,0,0,1,158,28,239,253,127,255,255,255,255,255,255,255
	db 127,255,255,255,255,255,255,255,255,255,127,255,255,255,255,255,255
	db 255,253,255,255,255,255,255,255,255,255,255,143,28,239,249,255,255
	db 255,255,255,255,255,254,255,255,239,255,254,255,255,255,255,254,255
	db 255,255,255,255,255,255,255,251,255,255,255,255,255,255,255,255,254
	db 191,156,127,193,128,0,0,0,0,0,0,1,128,0,24,0,1,128,0,0,0,1,128,0
	db 0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,159,12,60,193,128,0,0,0,0,0,0,1,128
	db 0,24,0,1,128,0,0,0,1,128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,128,0
	db 0,1,128,1,241,230,103,223,128,1,140,238,24,236,193,186,187,131,43
	db 185,128,31,60,133,243,7,224,0,134,102,121,251,241,128,0,0,0,1,128
	db 0,0,1,128,1,251,247,127,255,192,1,142,255,24,254,225,191,255,195
	db 191,253,128,63,254,207,251,135,240,7,198,119,252,255,249,192,0,0
	db 0,1,128,0,0,1,128,1,255,255,255,222,0,1,141,206,24,207,241,187,255
	db 195,127,49,128,30,127,255,255,135,128,7,230,127,238,115,192,192,0
	db 0,0,1,128,0,0,1,128,1,251,255,254,255,0,1,142,239,24,239,241,159
	db 255,195,191,185,128,15,127,255,251,135,192,7,246,127,238,115,225
	db 128,0,0,0,1,128,0,0,1,128,1,219,191,119,255,128,1,141,239,24,239
	db 209,191,255,3,127,49,128,63,247,239,195,247,224,3,230,119,126,115
	db 241,192,0,0,0,1,128,0,0,1,128,0,205,155,51,239,192,1,134,119,24,117
	db 97,157,85,1,157,17,128,31,51,102,193,251,240,0,70,51,60,49,248,192
	db 0,0,0,1,128,0,0,1,128,0,0,0,0,0,0,1,128,0,24,0,1,128,0,0,0,1,128
	db 0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,127,255,255,255,127,255,255,255
	db 255,255,255,255,127,255,247,255,255,127,255,255,255,255,127,255,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255,255
	db 255,254,255,255,255,254,255,255,255,254,255,255,255,255,254,255,255
	db 255,255,254,255,255,255,255,255,255,255,255,251,255,255,255,255,255
	db 255,255,255,254,128,0,0,1,128,0,0,1,128,0,0,1,128,0,0,0,1,128,0,0
	db 0,1,128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,128,0,0,1,128,0,0,1,128
	db 0,0,1,128,0,0,0,1,128,0,0,0,1,128,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0
	db 1,128,58,184,1,128,238,234,1,131,187,187,129,128,174,138,174,1,142
	db 172,238,236,225,159,63,62,121,11,230,15,192,134,102,121,251,241,128
	db 0,0,0,1,128,63,220,1,128,255,255,1,131,255,223,193,128,255,207,255
	db 1,135,254,247,254,241,159,191,255,253,159,247,15,231,198,119,252
	db 255,249,192,0,0,0,1,128,51,216,1,128,207,245,1,131,255,155,1,128
	db 255,207,252,1,134,255,198,255,193,159,252,60,255,255,255,15,7,230
	db 127,238,115,192,192,0,0,0,1,128,51,216,1,128,207,246,1,131,253,219
	db 129,128,255,207,254,1,134,255,230,255,225,159,190,30,255,255,247
	db 15,135,246,127,238,115,225,128,0,0,0,1,128,59,216,1,128,239,198,1
	db 131,63,219,129,128,95,239,254,1,134,255,230,255,225,157,191,127,239
	db 223,135,239,195,230,119,126,115,241,192,0,0,0,1,128,29,200,1,128
	db 119,66,1,129,21,201,193,128,39,119,87,1,130,117,114,117,113,140,223
	db 190,102,205,131,247,224,70,51,60,49,248,192,0,0,0,1,128,0,0,1,128
	db 0,0,1,128,0,0,1,128,0,0,0,1,128,0,0,0,1,128,0,0,0,0,0,0,0,6,0,0,0
	db 0,0,0,0,0,1,127,255,255,255,127,255,255,255,127,255,255,255,127,255
	db 255,255,255,127,255,255,255,255,127,255,255,255,255,255,255,255,253
	db 255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,252,9,147,32
	db 127,255,255,255,255,255,255,255,124,0,0,127,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,57,145,39,255,255,255,255,255,255,255,255,125,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,57,144,33,255,255,255,255,255,255
	db 255,255,125,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,57,146,39
	db 255,255,255,255,255,255,255,255,125,21,177,255,193,3,12,9,152,57
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,60,51,32,127,255,255,255,255,255,255,255,125,117,187,255
	db 159,206,103,57,147,249,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,125,59,187,255,195,206,7,57,152,127,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,125,117,187,255,249,206,103,57,159,57
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,252,12,55,176,204,193,255,255,255,255,255,255,125,21,187,255
	db 131,206,103,60,48,121,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,62,115,57,196,159,255,255,255,255
	db 255,255,125,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,62,112,57
	db 192,145,255,255,255,255,255,255,125,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,62,115,57,200,153,255,255,255,255,255,255,127,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,60,51,48,204,193,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,127,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,3,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,96,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,96,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3
	db 96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	db 0,0,0,0,0,0,0,3,96,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0
	db 0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,3,127,255,255,255,127,255,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,255,255,127,255,255,255
	db 255,255,255,255,253,255,255,255,255,255,255,255,255,255,127,255,255
	db 255,127,255,255,255,255,255,255,255,127,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,255,253,255,255,255,255,255,255
	db 255,255,255,113,113,95,223,121,152,102,64,129,134,13,239,124,19,48
	db 204,255,7,12,204,16,63,124,12,56,111,127,195,50,7,253,206,196,111
	db 255,255,255,255,255,255,117,117,94,15,121,147,38,79,159,50,100,207
	db 121,243,38,76,255,50,100,73,243,255,127,153,147,38,127,153,51,159
	db 253,214,221,111,255,255,255,255,255,255,113,113,190,7,120,16,38,67
	db 135,50,12,15,124,48,38,64,255,6,4,9,16,255,127,57,147,32,127,153
	db 51,159,253,214,196,127,255,255,255,255,255,255,119,117,190,15,121
	db 147,48,207,159,50,76,207,127,147,38,76,255,38,100,137,147,255,126
	db 121,147,38,127,153,51,159,253,214,245,239,255,255,255,255,255,255
	db 119,21,191,223,123,211,57,192,159,134,100,207,120,51,48,222,255,50
	db 100,204,16,63,124,12,56,102,127,195,135,159,253,206,197,239,255,255
	db 255,255,255,255,127,255,255,255,127,255,255,255,255,255,255,255,127
	db 255,255,255,255,255,255,255,255,255,127,255,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,255,255,127,255,255,255,127,255,255
	db 255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,127,255
	db 255,255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0
	db 0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,127,255,255,255,127,255,255,255
	db 255,255,255,255,127,255,255,255,255,255,255,255,255,255,127,255,255
	db 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,127,255
	db 255,255,127,255,255,255,255,255,255,255,127,255,255,255,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,253,255,255,255,255,255
	db 255,255,255,255,127,255,255,255,127,7,14,8,51,240,204,255,127,248
	db 38,97,153,255,12,249,255,255,96,225,153,130,7,252,51,231,253,159
	db 135,12,30,127,255,255,255,255,127,255,255,255,127,51,156,249,147
	db 230,76,255,127,243,230,76,153,254,100,249,255,255,102,76,137,62,127
	db 249,147,231,253,159,50,100,206,127,255,255,255,255,127,255,255,255
	db 127,51,158,24,51,224,97,255,127,248,96,76,129,254,4,249,255,255,96
	db 192,129,34,31,248,19,231,253,159,50,100,31,255,255,255,255,255,127
	db 255,255,255,127,51,159,201,243,230,115,255,127,255,38,76,153,254
	db 100,249,255,255,100,204,145,50,127,249,147,231,253,159,50,100,254
	db 127,255,255,255,255,127,255,255,255,127,7,12,25,240,38,115,255,127
	db 240,102,97,189,254,100,8,31,255,102,76,153,130,7,249,144,32,125,129
	db 135,12,254,127,255,255,255,255,96,129,134,15,127,255,255,255,255
	db 255,255,255,127,255,255,255,255,255,255,255,255,255,127,255,255,255
	db 255,255,255,255,253,255,255,255,255,255,255,255,255,255,79,231,50
	db 103,127,255,255,255,255,255,255,255,127,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,255,255,255,255,253,255,255,255,255,255,255
	db 255,255,255,97,231,50,15,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,124,231,50,127,0,0,0,0,0,0,0
	db 1,0,0,16,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,65,231
	db 134,127,127,255,255,255,255,255,255,255,127,255,247,255,255,127,255
	db 255,255,255,127,255,255,255,255,255,255,255,253,255,255,255,255,255
	db 255,255,255,255,127,255,255,255,127,255,255,255,255,255,255,255,127
	db 255,247,255,255,127,255,255,255,255,127,255,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,255,255,127,255,255,255,127,254,14
	db 25,152,32,127,255,115,17,247,19,63,69,68,124,212,71,127,224,195,122
	db 12,248,31,255,125,153,134,4,14,127,255,255,255,255,127,255,255,255
	db 127,254,100,200,147,231,255,255,117,119,247,117,95,93,85,125,85,223
	db 127,207,153,50,100,249,255,248,61,137,51,156,254,127,255,255,255
	db 255,127,255,255,255,127,254,12,8,18,33,255,255,115,53,247,53,95,69
	db 68,124,212,207,127,225,129,2,12,248,127,248,29,129,51,156,63,255
	db 255,255,255,255,127,255,255,255,127,254,76,201,19,39,255,255,117
	db 117,247,117,95,116,85,253,85,223,127,252,153,50,124,249,255,248,61
	db 145,51,156,254,127,255,255,255,255,127,255,255,255,127,254,100,201
	db 152,32,127,255,115,17,247,21,63,69,85,252,197,223,127,193,153,50
	db 124,8,31,255,125,153,135,156,14,127,255,255,255,255,127,255,255,255
	db 127,255,255,255,255,255,255,255,127,255,247,255,255,127,255,255,255
	db 255,127,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
	db 255,255,127,255,255,255,127,255,255,255,255,255,255,255,127,255,247
	db 255,255,127,255,255,255,255,127,255,255,255,255,255,255,255,253,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,1,0
	db 0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0
	db 0,1,127,255,255,255,127,255,255,255,127,255,255,255,127,255,255,255
	db 255,127,255,255,255,255,127,255,255,255,255,255,255,255,253,255,255
	db 255,255,255,255,255,255,255,127,255,255,255,127,255,255,255,127,255
	db 255,255,127,255,255,255,255,127,255,255,255,255,127,255,255,255,255
	db 255,255,255,253,255,255,255,255,255,255,255,255,255,127,197,71,255
	db 127,17,21,255,124,68,68,127,127,81,117,81,255,113,83,17,19,31,96
	db 192,193,134,244,25,240,63,125,153,134,4,14,127,255,255,255,255,127
	db 221,111,255,127,117,85,255,125,85,237,255,127,85,117,23,255,123,85
	db 123,85,127,102,79,159,50,100,201,243,248,61,137,51,156,254,127,255
	db 255,255,255,127,221,111,255,127,117,27,255,124,68,108,255,127,85
	db 117,83,255,123,85,59,85,63,96,195,195,2,4,25,240,248,29,129,51,156
	db 63,255,255,255,255,255,127,221,111,255,127,117,123,255,125,215,109
	db 255,127,85,117,87,255,123,85,123,85,127,100,207,249,50,100,249,243
	db 248,61,145,51,156,254,127,255,255,255,255,127,196,111,255,127,17
	db 123,255,125,212,108,127,127,177,17,81,255,123,21,27,21,31,102,64
	db 131,50,100,248,16,63,125,153,135,156,14,127,255,255,255,255,127,255
	db 255,255,127,255,255,255,127,255,255,255,127,255,255,255,255,127,255
	db 255,255,255,127,255,255,255,255,255,255,255,253,255,255,255,255,255
	db 255,255,255,255,127,255,255,255,127,255,255,255,127,255,255,255,127
	db 255,255,255,255,127,255,255,255,255,127,255,255,255,255,255,255,255
	db 253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	db 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255

END
